import {useState} from 'react';

const useLogin = navigation => {
  const [phone, setPhone] = useState('');
  const [loading, setLoading] = useState(false);
  const [modalOTP, setModalOTP] = useState({visible: false, loading: false});
  const [otpCode, setOTPCode] = useState('');
  const [error, setError] = useState({});
  const [modalLanguage, setModalLanguage] = useState(false);
  const [modal, setModal] = useState({
    visible: false,
    message: '',
  });

  return {
    phone,
    setPhone,
    modalOTP,
    setModalOTP,
    otpCode,
    setOTPCode,
    loading,
    error,
    modal,
    setModal,
    setModalLanguage,
    modalLanguage,
  };
};
export default useLogin;
